Package tigase.net

# Class ConnectionOpenThread

java.lang.Object
tigase.net.ConnectionOpenThread

All Implemented Interfaces:
  `Runnable`

public class ConnectionOpenThread extends Object implements Runnable
Describe class ConnectionOpenThread here.
Created: Wed Jan 25 23:51:28 2006

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `accept_counter`
  `static final long`
  `def_5222_throttling`
  `static final long`
  `def_5223_throttling`
  `static final long`
  `def_5269_throttling`
  `static final long`
  `def_5280_throttling`
  `static Map<Integer,tigase.net.ConnectionOpenThread.PortThrottlingData>`
  `throttling`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addConnectionOpenListener(ConnectionOpenListener al)`
  `static ConnectionOpenThread`
  `getInstance()`
  `void`
  `removeConnectionOpenListener(ConnectionOpenListener al)`
  `void`
  `run()`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### def_5222_throttling

    public static final long def_5222_throttling
    See Also:
      - Constant Field Values

  - ### def_5223_throttling

    public static final long def_5223_throttling
    See Also:
      - Constant Field Values

  - ### def_5269_throttling

    public static final long def_5269_throttling
    See Also:
      - Constant Field Values

  - ### def_5280_throttling

    public static final long def_5280_throttling
    See Also:
      - Constant Field Values

  - ### throttling

    public static Map<Integer,tigase.net.ConnectionOpenThread.PortThrottlingData> throttling

  - ### accept_counter

    protected long accept_counter

- ## Method Details

  - ### getInstance

    public static ConnectionOpenThread getInstance()

  - ### addConnectionOpenListener

    public void addConnectionOpenListener(ConnectionOpenListener al)

  - ### removeConnectionOpenListener

    public void removeConnectionOpenListener(ConnectionOpenListener al)

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`

  - ### start

    public void start()

  - ### stop

    public void stop()